﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default15.aspx.cs" Inherits="Default15" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager runat="server" ID="ScriptManager1">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </asp:ScriptManager>
        <telerik:RadListView runat="server" ID="RadListView1" DataKeyNames="CategoryID" DataSourceID="CategoriesDataSource"
            Skin="Windows7" OnItemCreated="RadListView1_ItemCreated">
            <LayoutTemplate>
                <div class="RadListView RadListView_Windows7">
                    <table cellspacing="0" style="width: 100%;">
                        <thead>
                            <tr class="rlvHeader">
                                <th>
                                    &nbsp;
                                </th>
                                <th>
                                    CategoryID
                                </th>
                                <th>
                                    CategoryName
                                </th>
                                <th>
                                    Description
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr id="itemPlaceholder" runat="server">
                            </tr>
                        </tbody>
                    </table>
                </div>
            </LayoutTemplate>
            <ItemTemplate>
                <tr runat="server" id="row" class="rlvI">
                    <td>
                        <asp:CheckBox runat="server" ID="chkSelect" class="select" Checked='<%#Container.Selected %>' />
                    </td>
                    <td>
                        <asp:Label ID="CategoryIDLabel" runat="server" Text='<%# Eval("CategoryID") %>' />
                    </td>
                    <td>
                        <asp:Label ID="CategoryNameLabel" runat="server" Text='<%# Eval("CategoryName") %>' />
                    </td>
                    <td>
                        <asp:Label ID="DescriptionLabel" runat="server" Text='<%# Eval("Description") %>' />
                    </td>
                </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <tr class="rlvA" runat="server" id="row">
                    <td>
                        <asp:CheckBox runat="server" ID="chkSelect" Checked='<%#Container.Selected %>' />
                    </td>
                    <td>
                        <asp:Label ID="CategoryIDLabel" runat="server" Text='<%# Eval("CategoryID") %>' />
                    </td>
                    <td>
                        <asp:Label ID="CategoryNameLabel" runat="server" Text='<%# Eval("CategoryName") %>' />
                    </td>
                    <td>
                        <asp:Label ID="DescriptionLabel" runat="server" Text='<%# Eval("Description") %>' />
                    </td>
                </tr>
            </AlternatingItemTemplate>
            <EmptyDataTemplate>
                <div class="RadListView RadListView_Windows7">
                    <div class="rlvEmpty">
                        There are no items to be displayed.</div>
                </div>
            </EmptyDataTemplate>
            <ClientSettings>
                <ClientEvents OnListViewCreated="RadListView1_Created" />
            </ClientSettings>
        </telerik:RadListView>
        <asp:SqlDataSource runat="server" ID="CategoriesDataSource" ConnectionString="<%$ ConnectionStrings:Northwind %>"
            SelectCommand="SELECT [CategoryID], [CategoryName], [Description] FROM [Categories]" />
        <asp:Button Text="PostBack" runat="server" />
        <script type="text/javascript">
            function RadListView1_Created(sender, args) {
                var container = getListViewContainer(sender.get_element());

                $(container).bind("click", function (event) {
                    var elContext = $(event.target);
                    var parentRows = elContext.parents("tr.rlvI, tr.rlvA");
                    if (parentRows.length > 0) {
                        var parentRow = parentRows.first();

                        //get checkbox and init the correct state of the selection;
                        var checkbox = elContext; //user has clicked on the checkbox 
                        var shouldSelect = true;
                        if (!elContext.is(":checkbox")) {//user has clicked on the item
                            checkbox = parentRow.find(":checkbox").first();
                            shouldSelect = !checkbox.is("input:checked");
                        }

                        if (shouldSelect) {
                            var items = $("tr.rlvI, tr.rlvA", this);
                            items.removeClass("rlvISel");
                            parentRow.addClass("rlvISel");
                            $("tr.rlvI input:checked, tr.rlvA input:checked", this).attr('checked', false);
                            checkbox.attr('checked', true);
                        }
                    };
                });
            }
            function getListViewContainer(listViewElement) {
                return $(listViewElement).parent().find(".RadListView")[0];
            }               
        </script>
    </div>
    </form>
</body>
</html>
