﻿using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Default15 : System.Web.UI.Page
{
    protected void RadListView1_ItemCreated(object sender, Telerik.Web.UI.RadListViewItemEventArgs e)
    {
        //persist client side selection 
        var dataItem = e.Item as RadListViewDataItem;
        if (dataItem != null)
        {
            dataItem.Load += (source, args) =>
            {
                var item = ((RadListViewDataItem)source);
                var checkBox = item.FindControl("chkSelect") as CheckBox;
                item.Selected = checkBox.Checked;
                var row = ((HtmlTableRow)item.FindControl("row"));
                row.Attributes["class"] = row.Attributes["class"].Replace(" rlvISel", "");

                if (item.Selected)
                    row.Attributes["class"] += " rlvISel";
            };
        }
    }
   
}